package logssvc

import (
	"fmt"
	logsdomain "legalgo-BE-go/internal/domain/logs"
)

func (i *impl) CreateLogAds(spec logsdomain.LogsSpec) error {
	spec.Category = "ads"
	if err := i.logsRepo.CreateLog(spec); err != nil {
		return fmt.Errorf("failed to create ads log: %v", err)
	}

	return nil
}
